Name:           qt4pas
Version:        2.5
Release:        26%{?dist}
Summary:        Free Pascal Qt4 Binding
License:        LGPLv3
URL:            http://users.telenet.be/Jan.Van.hijfte/qtforfpc/fpcqt4.html
Source0:        http://users.telenet.be/Jan.Van.hijfte/qtforfpc/V%{version}/%{name}-V%{version}_Qt4.5.3.tar.gz
BuildRequires: make
BuildRequires:  pkgconfig(QtNetwork)
BuildRequires:  pkgconfig(QtWebKit)
Requires:       fpc-src

ExclusiveArch:  %{fpc_arches}

%description
The Free Pascal Qt4 binding allows Free Pascal to interface with the 
C++ Library Qt.

This binding does not cover the whole Qt4 framework but only the 
classes needed by the Cross Platform Lazarus IDE to use Qt as a 
Widget set.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{name}-V%{version}_Qt4.5.3

%build
%qmake_qt4 Qt4Pas.pro
%make_build

%install
make install INSTALL_ROOT=%{buildroot}

%files
%doc README.TXT
%license COPYING.TXT
%{_libdir}/libQt4Pas.so.*

%files devel
%{_libdir}/libQt4Pas.so

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 08 2018 Rex Dieter <rdieter@fedoraproject.org> - 2.5-16
- better Qt dep

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 30 2017 Vasiliy N. Glazov <vascom2@gmail.com> 2.5-12
- Use macro to define supported build arches

* Wed Mar 29 2017 Vasiliy N. Glazov <vascom2@gmail.com> 2.5-11
- Exclude build arches not supported by fpc

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jun 03 2016 Vasiliy N. Glazov <vascom2@gmail.com> 2.5-9
- Use pkgconfig for BR

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.5-6
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 09 2013 Christopher Meng <rpm@cicku.me> - 2.5-3
- Rebuild for ARMv7.

* Thu Jul 25 2013 Christopher Meng <rpm@cicku.me> - 2.5-2
- Remove unneeded pas file.

* Sat Dec 31 2011 Christopher Meng <rpm@cicku.me> - 2.5-1
- Update to new version.

* Tue Jul 19 2011 Christopher Meng <rpm@cicku.me> - 2.4-1
- Update to new version.
- Qt4.7 support.
- Add -mstackrealign to avoid crashes.

* Tue Aug 17 2010 Christopher Meng <cickumqt-NOSPAM@gmail.com> - 2.2-1
- Initial Package.
